Pgadmin4 not loading

Anybody else having issues with pgadmin4 ? It was working fine a couple of updates ago.
This is from the log as the reason it fails.

Traceback (most recent call last):
File “/usr/lib/pgadmin4/web/pgAdmin4.py”, line 94, in
app = create_app()
File “/usr/lib/pgadmin4/web/pgadmin/init.py”, line 409, in create_app
security.init_app(app, user_datastore)
File “/usr/lib/python3.9/site-packages/flask_security/core.py”, line 1089, in init_app
raise ValueError(“User model must contain fs_uniquifier as of 4.0.0”)
ValueError: User model must contain fs_uniquifier as of 4.0.0

I guess I’m confused on how to fix this one. Thanks!

pgadmin4 has been flagged out-of-date, and there are a couple of open bugs (https://bugs.archlinux.org/?project=5&string=pgadmin4).

However, the likely cause is the Flask update, https://bugs.archlinux.org/task/70918

Thank you Jonathon…

I’ll try my luck with dBeaver then and hope it gets fixed :slight_smile:

1 Like